Package be.vlaanderen.mercurius.vsb.schemas.v1

# Enum Class ParameterKeyTypeType

java.lang.Object
java.lang.Enum<ParameterKeyTypeType>
be.vlaanderen.mercurius.vsb.schemas.v1.ParameterKeyTypeType

All Implemented Interfaces:
  `Serializable`, `Comparable<ParameterKeyTypeType>`, `java.lang.constant.Constable`

public enum ParameterKeyTypeType extends Enum<ParameterKeyTypeType>

Java class for ParameterKeyTypeType

.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="ParameterKeyTypeType">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="LONG_DATE"/>
         <enumeration value="SHORT_DATE"/>
         <enumeration value="DAY_OF_MONTH"/>
         <enumeration value="UNITS"/>
         <enumeration value="AMOUNT"/>
         <enumeration value="PERIOD_LONG_DATE"/>
         <enumeration value="PERIOD_SHORT_DATE"/>
         <enumeration value="SHORT_LIST"/>
         <enumeration value="SHORT_YEAR"/>
         <enumeration value="SINGLE_FIELD"/>
       </restriction>
     </simpleType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AMOUNT`
  `DAY_OF_MONTH`
  `LONG_DATE`
  `PERIOD_LONG_DATE`
  `PERIOD_SHORT_DATE`
  `SHORT_DATE`
  `SHORT_LIST`
  `SHORT_YEAR`
  `SINGLE_FIELD`
  `UNITS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ParameterKeyTypeType`
  `fromValue(String v)`
  `String`
  `value()`
  `static ParameterKeyTypeType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ParameterKeyTypeType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### LONG_DATE

    public static final ParameterKeyTypeType LONG_DATE

  - ### SHORT_DATE

    public static final ParameterKeyTypeType SHORT_DATE

  - ### DAY_OF_MONTH

    public static final ParameterKeyTypeType DAY_OF_MONTH

  - ### UNITS

    public static final ParameterKeyTypeType UNITS

  - ### AMOUNT

    public static final ParameterKeyTypeType AMOUNT

  - ### PERIOD_LONG_DATE

    public static final ParameterKeyTypeType PERIOD_LONG_DATE

  - ### PERIOD_SHORT_DATE

    public static final ParameterKeyTypeType PERIOD_SHORT_DATE

  - ### SHORT_LIST

    public static final ParameterKeyTypeType SHORT_LIST

  - ### SHORT_YEAR

    public static final ParameterKeyTypeType SHORT_YEAR

  - ### SINGLE_FIELD

    public static final ParameterKeyTypeType SINGLE_FIELD

- ## Method Details

  - ### values

    public static ParameterKeyTypeType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ParameterKeyTypeType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### fromValue

    public static ParameterKeyTypeType fromValue(String v)